Get job status (for async jobs)
Check the current status of an asynchronous document parsing job.
Job Statuses:
pending: Job is queued and waiting to be processedrunning: Job is currently being processedcompleted: Job finished successfully, results are availablefailed: Job failed due to an error
Polling Recommendations:
- Check status every 5-10 seconds for small files
- Check status every 15-20 seconds for larger files
- Stop polling once status is
completedorfailed
Authorization
API Key Authentication X-API-KEY<token>
Enter your secret API key to authorise requests.
You can obtain your key by contacting us: gian@dionitech.com
**Example**: `sk_live_12345abcde...`
In: header
Path Parameters
job_id*Job Id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/v1/parse/string/status"{
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
}Empty
{
"detail": "string"
}{
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}